'use strict';
Object.defineProperty(exports, '__esModule', { value: true });
exports.resolveAfterAll = void 0;
function resolveAfterAll(result, promises) {
  return new Promise((resolve, reject) => {
    let numPromises = promises.length;
    const onFulfilled = () => {
      numPromises--;
      if (numPromises === 0) {
        resolve(result);
      }
    };
    const onRejected = (_reason) => {
      reject(_reason);
    };
    for (const promise of promises) {
      promise.then(onFulfilled, onRejected);
    }
  });
}
exports.resolveAfterAll = resolveAfterAll;
